<?php
/**
 * License
 * @package     License
 * @copyright   Copyright (C) 2011 MicroEngine Inc.
 */
class License
{
    /**
     * ID（primary key）
     * @var string
     */
    public $_id;
    /**
     * ライセンスID
     * @var string
     */
    public $license_id;
    /**
     * ライセンスキー
     * @var string
     */
    public $license_key;
    /**
     * ライセンスタイプ
     * @var string
     */
    public $license_type;
    /**
     * 作成日時
     * @var string
     */
    public $create_date;
    /**
     * 更新日時
     * @var string
     */
    public $update_date;

    /**
     * ライセンス状態
     * @var string
     */
    public $status;
    /**
     * インストール日時
     * @var integer
     */
    public $install_date;

    /**
     * ライセンスタイプ名取得
     * @return string
     */
    public function get_license_type_name()
    {
        if (isset(License_Logic::$type_name_list[$this->license_type])) {
            return License_Logic::$type_name_list[$this->license_type];
        }
    }
}